This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 246897 - Initscript Review
Initscript Review
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:48 EDT by Harald Hoyer
Modified: 2008-02-26 12:48 EST (History)
0 users

See Also:
Fixed In Version: 1.3.6-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 12:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:48:44 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Tim Waugh 2008-01-10 08:20:35 EST
Is this actually something we're doing?
Comment 2 Tim Waugh 2008-02-01 08:34:41 EST
Exit status and actions brought into compliance.  Just needs a header now.

Note You need to log in before you can comment on or make changes to this bug.